DEMO İNCELE
ÜCRETSİZ İNDİR

Prestashop 1.4.0 dan 1.5.4'e güncelleme

Geçensene yapmış olduğum 1.4.0 sürümü kullandığım sitemi 1.5.4'e güncellemek istiyorum ama bunu bi türlü başaramıyorum. Forumda yazan tüm yöntemleri denedim sanırım hata yaptığım noktalar var. Sanırım bu konudan müzdarip başka arkadaşlarda var. Bu şekilde güncellemeyi başaran bi arkadaş nasıl yaptığını yada nasıl yapıcağımızı anlatabilirmi ?

39 thoughts on “Prestashop 1.4.0 dan 1.5.4'e güncelleme

  1. SedatKar - 29 Mart 2017 at 23:46

    merhabalar;
    http://www.prestasho…ideolu-dersler/

    burdaki 3. dersi izledinmi? burda örnek bir güncelleme yapmıştım.

    Cevap
  2. wild - 29 Mart 2017 at 23:46

    Videodaki gibi siteyi local hosta taşımaya çalıştım Safa fakat veritabanında sıkıntı yaşıyorum. Locale taşıdığımızda düzenlememiz gereken biyer mi var. settings.inc.php i dosyasını düzenledim db den demi alan adı düzenlenmeli ?

    Cevap
  3. SedatKar - 29 Mart 2017 at 23:46

    ilk önce settings.inc.php dosyasından veritabanı bilgilerini değiştirmen gerekiyor. zaten değişikliklieri yapmısşssın . şu şekilde.
    bu bilgiler genelde localhost için aynıdır. eğer kullanıcı adı ve şifre oluşturmadıysan phpmyadminde.

     define('_DB_SERVER_', '127.0.0.1');
    define('_DB_USER_', 'root');
    define('_DB_PREFIX_', 'ps_');
    define('_DB_PASSWD_', '');

    sonra site adminine bağlanabilirsin bu bilgilerle ama siteye bağlanamssın yönlendirme yapar. prestashop admini httppost ile çalıştığı için adminden site adını değiştirmelisin.
    sitei ismini ingilizce olarak admin/preferences/Meta-tags 'da yer alıyor. çevirilerde farklı isimlerde bulunabiliyor.

    eğer adminede bağlanamıyorsan phpmyadmin'den ps_configuration
    taplosuna git ordan PS_SHOP_DOMAIN ve PS_SHOP_DOMAIN_SSL değerlerini değiştir.

    Cevap
  4. wild - 29 Mart 2017 at 23:46

    Dediğin şekilde düzenlemeleri yaptım ama sonuç aynı yine çalışmadı. Hatta karşılaştırmak için localhosta yeni bir prestashop kurdum ne yaptıysam çalıştıramadım sistemi çok ilginç. Cache yada htacss den dolayı çalışmıyor olabilirmi ?

    Cevap
  5. SedatKar - 29 Mart 2017 at 23:46

    olabilir .htacess ten kaynaklanabilir. wamp server kullanıyorsan , diğerlerindede aynı şekilde fazla bir fark yok. apache modullerinden
    rewrite_module aktif etmen gerekiyor , arkadaşça url için.
    bunun için bilgisayarın sağ alt tarafında duran wampserver ikonuna sol tıkla
    sonra apache–>apache modulleri—> rewrite_module aktif et.
    ama arkadaşça url yi deaktif ederek denedinmi hiç? doğrusu site adminine bağlanabildinmi??
    eğer veritabanını doğru şekilde bağladıysan bu şekillerde admine bağlanman lazım.
    birde hata mesajlarını aç hangi hatayı alıyorsun.
    hata mesajlarını 1.4 versiyonunda açmak için
    /config/config.inc.php dosyasında
    @ini_set('display_errors', 'on');
    değerini "on" yapman gerekiyor.
    1.5 versiyonunda ise
    /config/defines.inc.php dosyasında
    define('_PS_MODE_DEV_', true);

    değerini "true" yapmak gerekiyor.

    Cevap
  6. wild - 29 Mart 2017 at 23:46

    Yardımların için teşekkürler SedatKar ben appserv kullanıyodum. Şimdi tekrardan wamp kurdum adım adım uygulama yaptım problem ortadan kalktı. Şimdi sıra geldi güncelleme işlemini başarıyla tamamlamaya

    Cevap
  7. wild - 29 Mart 2017 at 23:46


    Güncelleme yaparken ayarı ne yaparsam yapıyım veritabanı moturunu 2 sinede çevirsem hata alıyorum çözümü arardım ama bulamadım.

    Cevap
  8. SedatKar - 29 Mart 2017 at 23:46

    büyük ihtimalle birşeyleri yanlış yapıyorsun. güncelleme işleminde veritabanı bilgilerini istemez . yukardaki bilgilerden anlaşılıyorki güncelleme yerine yeni kurulum yapıyorsun. sebeb ne olabilir ilk başta şu iki neden
    1-) settings.inc.php dosyasını dosyaları kopyalarken yenisini yani içi boş olanı attın .
    bu dosya eski sürümdeki dosya olacak , bu dosyayı değiştirmiyeceksinki , veritabanı bilgilerini okuyabilsin.

    2-) ilk ekranda güncelleme yerine yeni kurulum seçeneğini seçtin.

    Cevap
  9. wild - 29 Mart 2017 at 23:46

    Safa zaten yeri sürümü dizine atarken config dosyası içerisinde setting.inc.php yok bunu kurulum yaparken kendi oluşturmuyormu.
    İnstall ekranın görüntüsü aşağıdaki gibi bu sorunun sebebi ne olabilir ?

    Uploaded with ImageShack.us

    Cevap
  10. SedatKar - 29 Mart 2017 at 23:46

    evet doğru yukarıda yanlış yazmışım.
    /install/upgrade/upgrade.php
    bu dosyayı çalıştırdığın zaman güncelleme ekranı geliyormu??
    eğer hala güncelleme ekranını göremiyorsan
    birde otomatik güncelleme modulunu bir dene
    http://addons.presta…utoupgrade.html

    aklıma başka bir sebeb gelmiyor şuanda.

    Cevap
  11. wild - 29 Mart 2017 at 23:46

    Vermiş olduğun dosya yolunu yazdığımda SedatKar aşağıdaki hatayı alıyorum

    Link to database cannot be established: SQLSTATE[HY000] [1045] Access denied for user 'koza_koza'@'localhost' (using password: YES)

    Bu arada başka bi siteyi güncellemeyi denedim SedatKar aşağıdaki hatayı veriyor ayrıca local hosta taşıdığım hiç bir sitede modüller açılmıyor admin panelinden ama modüllerin hepsi çalışıyor.

    Bu XML belgesi ile herhangi bir stil bilgisi bağlantılı değil. Belge ağacı aşağıda gösterilmiştir.
    <action result="fail" error="28"/>

    Cevap
  12. bera_ramazan - 29 Mart 2017 at 23:46

    Ahhh be neler çektin prestahop

    Bende yaklaşık bir ay bir müşterimin sitesini güncellemeye çalıştım olmuyor idi hollanda dan 1000$ isteyen birileri çıktı onlarda güncelleme yapamadı hep sorun veritabanı hatası currency.php de 173 . satır hatası sonra onu düzelttim adres hatası o gitti diğeri diğeri gitti yani anlayacağınızı hatalar üst üste bindi yapacak olarak şunu yaptım tabloları tek tek 1.5 e import ettim sorun çözüldü

    Cevap
  13. askinjew - 29 Mart 2017 at 23:46

    Acaba bunun için yazılmış sorunsuz ve tektek sizin yaptığınız gibi taşıyıp uygulayan sicript yokmu acaba?
    yada yazmayı düşünen…
    Eminim çok talep görür.

    Cevap
  14. SedatKar - 29 Mart 2017 at 23:46

    http://addons.presta…utoupgrade.html
    modulu var ama düzenli çalışmıyor pek. ben iyi perfonmans alamadım.
    1.5 e güncellemede sıkıntı çıkıyor biraz , bu hafta sonu 2 tane site güncelliyecem.
    en sorunsuz yükseltme metodunu keşfedim. bunu yeni bir videolu ders ile anlatacağım , baya bir kişi bana pm atıyor güncelleme ile ilgili.

    Cevap
  15. wild - 29 Mart 2017 at 23:46

    Güncelleme sorununu 1 haftalık çalışma ile çözdüm dostlar önümüzdeki günlerde adım adım anlatıcam aynı problemi yaşıyanlar için.

    Cevap
  16. Şahin YILDIZ - 29 Mart 2017 at 23:46

    Şimdiye kadar abartısız yüzlerce güncelleme yaptım…bir kez sorun yaşamadım…sanıyorum sizden kaynaklanan bir hata var…bana soracak olursan, hatayı nasıl çözdüğünden ziyade, daha önce yapısal olarak değişiklik yaptın mı, bu değişiklikler neler, bunları yazman da fayda var..ayrıca güncellemeler de kullanılan hosting’in büyük önemi var, bir çok kısıtlamaların olduğu bir hosting paketinde, güncelleme sırasında yarım halan işlemler veri tabanında hata teşkil edebiliyor…Buradan başlayarak tüm sebepleri gözden geçirdikten sonra, prestashop 

    Cevap
  17. wild - 29 Mart 2017 at 23:46

    Şimdiye kadar abartısız yüzlerce güncelleme yaptım…bir kez sorun yaşamadım…sanıyorum sizden kaynaklanan bir hata var…bana soracak olursan, hatayı nasıl çözdüğünden ziyade, daha önce yapısal olarak değişiklik yaptın mı, bu değişiklikler neler, bunları yazman da fayda var..ayrıca güncellemeler de kullanılan hosting’in büyük önemi var, bir çok kısıtlamaların olduğu bir hosting paketinde, güncelleme sırasında yarım halan işlemler veri tabanında hata teşkil edebiliyor…Buradan başlayarak tüm sebepleri gözden geçirdikten sonra, prestashop 

    Benim gibi bu sorunu yaşıyan bir çok arkadaş var host olayına gelince local hosttada denedim 3 farklı domain üzerinden 3 farklı hosttada denedim. SIkıntı 1.4 serisinden 1.5 serisine çıkışda ya güncellemeyi görmüyor yada güncelleme sonucunda hiçbirşey açılmıyor. Bence sorun hosting kaynaklı değil çünkü kullandığım alt yapılar oynanamamış orjinal prestashop çekirdekleri

    Cevap
  18. Şahin YILDIZ - 29 Mart 2017 at 23:46

    Daha önce 1.4 serisini bir çok sitede kullandım..1.5 serisine güncellemeleri sorunsuz yaptım…hiç sorun yaşamadım…

    isterseniz size kendi sunucumda bir paket açayım test edin, eğer hata alırsanız bende incelemek isterim…

    Ayrıca şu hatırlatmayı yapmakta fayda görüyorum…normal olarak localhost kurulumu standart ayarlara sahiptir, bir çok hosting firmalarıda bu standart ayarları kullanır…yani sitenizi sunucudan localhosta almanızın bir farkı yoktur…

    Sistem güncellerken şu yolu izlemelisiniz, normal olarak yeni sürümü eski sürümün üzerine yazdır…

    http://www.siteadi.com/install/upgrade/upgrade.php  –  Enter —- Başka bir işlem yapmayın ve sayfayı kapatmayın, bekleyin…

    Ben bunu kullanıyorum ve hiç hata almadım…

    Cevap
  19. SedatKar - 29 Mart 2017 at 23:46

    Daha önce 1.4 serisini bir çok sitede kullandım..1.5 serisine güncellemeleri sorunsuz yaptım…hiç sorun yaşamadım…

    isterseniz size kendi sunucumda bir paket açayım test edin, eğer hata alırsanız bende incelemek isterim…

    Ayrıca şu hatırlatmayı yapmakta fayda görüyorum…normal olarak localhost kurulumu standart ayarlara sahiptir, bir çok hosting firmalarıda bu standart ayarları kullanır…yani sitenizi sunucudan localhosta almanızın bir farkı yoktur…

    Sistem güncellerken şu yolu izlemelisiniz, normal olarak yeni sürümü eski sürümün üzerine yazdır…

    http://www.siteadi.com/install/upgrade/upgrade.php  –  Enter —- Başka bir işlem yapmayın ve sayfayı kapatmayın, bekleyin…

    Ben bunu kullanıyorum ve hiç hata almadım…

    bazı sitelerde, store id hatası veriyor,

    bu tükçe dilden kaynaklanıyor sanırım. istersen wild ile pm veya skype ile görüşün. ikinizide tanıyorum gayet iyi anlaşacağınızdan eminin ;)

    sorunu çözebilirseniz buraya yazarsınız. ;)

    Cevap
  20. serhan - 29 Mart 2017 at 23:46

    1.5.3.1 sürümünden 1.5.5.0 sürümüne güncellemek istediğimde sistem güncelleme yerine yeni kurulum olarak algılıyor seçenekleri çıkmıyor karşıma.

    Wild arkadaşım sorunu nasıl çözdüğünü bilmek isterim.wild

    Cevap
  21. serhan - 29 Mart 2017 at 23:46

    This XML file does not appear to have any style information associated with it. The document tree is shown below. isimli bir dosya çıkıyor xml dosyası

    Cevap
  22. Şahin YILDIZ - 29 Mart 2017 at 23:46

    evet o xml dosyası yüklendiğini gösterir, sayfanın tamamen yüklenmesini bekleyin…

    Cevap
  23. kalender-jack - 29 Mart 2017 at 23:46

    Merhabalar,

    güncelleme işlemi için sizin söylediklerinizi yaptım ancak http://www.sitadi.co…ade/upgrade.php adresine tıkladığımda aşağıdaki hatayı veriyor. Yardımcı olur musunuz?

    This XML file does not appear to have any style information associated with it. The document tree is shown below.
    <action result=”fail error=”28/>

    Cevap
  24. SedatKar - 29 Mart 2017 at 23:46

    Merhabalar,

    güncelleme işlemi için sizin söylediklerinizi yaptım ancak http://www.sitadi.co…ade/upgrade.php adresine tıkladığımda aşağıdaki hatayı veriyor. Yardımcı olur musunuz?

    This XML file does not appear to have any style information associated with it. The document tree is shown below.
    <action result=”fail error=”28/>

    28 hata kodu ‘nun açıklaması ” sürümünüz güncellendi, zaten bu sürüme sahipsiniz” ‘dir.

    Cevap
  25. kalender-jack - 29 Mart 2017 at 23:46

    Ama güncellenmedi sitem. Hala aynı sürümde duruyor. 1.4.4.0 dan 1.4.11.0 ‘a güncelledim. Şimdi ise 1.5.5.0 için işlem yapıyorum ancak olmuyor.

    Cevap
  26. SedatKar - 29 Mart 2017 at 23:46

    /config/setttings.inc.php dosyasında

    define(‘_PS_VERSION_’

    değerini 1.4.11 yap 1.5.4.1 ‘ e güncellemeye çalış . büyük ihtimal burdaki değeri 1.5.5.0 yapıp güncelleme yapmadı.

    1.5.5.0 daki bir bug bu bazen oluyor . 1.5.4.1 denediğin zaman büyük ihtimal başarılı olacaksın.

    Cevap
  27. kalender-jack - 29 Mart 2017 at 23:46

    maalesef 3 gündür uğraşıyorum. 1.5.0.1 versiyonunu bile denedim güncellemedi. nerdeyse bütün 1.5.x sürümlerini denedim. 1.4.4.0 dan 1.4.11.0 a gelebildim sonrası yok :(

    Cevap
  28. SedatKar - 29 Mart 2017 at 23:46

    maalesef 3 gündür uğraşıyorum. 1.5.0.1 versiyonunu bile denedim güncellemedi. nerdeyse bütün 1.5.x sürümlerini denedim. 1.4.4.0 dan 1.4.11.0 a gelebildim sonrası yok :(

    1.5 ‘ güncelleme bazen çok sıkıntılı oluyor. :( benimde baya uğraştığım oldu .

    1.4.11 prestashop’un en hızlı sürümü, benimde en fazla beğendiğim sürüm aslında. :)

    Cevap
  29. kalender-jack - 29 Mart 2017 at 23:46

    Yani bu noktada kalsın mı diyorsun Safa?

    Cevap
  30. SedatKar - 29 Mart 2017 at 23:46

    Yani bu noktada kalsın mı diyorsun Safa?

    onu sen bilirsin ama ben çoğu güncellemeyi 1.4.11 e bırakıyorum.

    http://www.kitapbilgini.com/

    bu siteyi 1.2 ‘den 1.4.11 ‘e güncelledim 3 ay önce günlük ortalama 5 bin kişi giriyor ve ortalama 40 sipariş oluyor her gün.

    hızında kullanımında en ufak bir sıkıntı yok.

    Cevap
  31. kalender-jack - 29 Mart 2017 at 23:46

    Son bir deneme daha yaptıktan sonra artık bırakacağım sanırım :) Teşekkürler.

    Cevap
  32. SedatKar - 29 Mart 2017 at 23:46

    ingilizce forumdada güncellemede çok sıkıntı yaşayan var , umarım ilerki versiyonlarda daha stabil bir hale gelir.

    Cevap
  33. kalender-jack - 29 Mart 2017 at 23:46

    Versiyon güncelleme ve img klasörünün büyük boyutta olmasından kaynaklanan tırnak resimlerini oluşturma hatası artık düzeltilmeli.

    Cevap
  34. kalender-jack - 29 Mart 2017 at 23:46

    Time out hatası veriyor. Bu sunucu kaynaklı mı acaba? Nasıl düzeltebilirim?

    Cevap
  35. Şahin YILDIZ - 29 Mart 2017 at 23:46

    Ekteki dosyayı admin klasörü ve anadizine atın..bir deneyin….

    Attached File  php.zip   204bytes   1 downloads

    Cevap
  36. kalender-jack - 29 Mart 2017 at 23:46

    Deniyorum hemen.

    Cevap
  37. kalender-jack - 29 Mart 2017 at 23:46

    Acaba manual mi yoksa modül ile otomatik olarak mı denemem gerekiyor?

    Cevap
  38. kalender-jack - 29 Mart 2017 at 23:46

    Maalesef yine olmadı. hem manual hemde otomatik olarak denedim ancak olmadı :(

    Cevap

Cevap bırakın